# alphabet_traits< AlphabetSet< L >, std::set< L > > Struct Template Reference
[Algebra, Alphabet]

Meta information about the mixing of AlphabetSet with std::set. More...

List of all members.

## Public Types

typedef Element< AlphabetSet < L >, std::set< L > > | alphabet_t
| The type of the alphabet.
typedef L | letter_t
| The type of letters held by the alphabet.
typedef letter_traits < letter_t > ::first_projection_t | first_projection_letter_t
| The type of letters held by the first projection.
typedef letter_traits < letter_t > ::second_projection_t | second_projection_letter_t
| The type of letters held by the second projection.
typedef Element< AlphabetSet < first_projection_letter_t > , std::set < first_projection_letter_t > > | first_projection_t
| The type of the first projection alphabet.
typedef Element< AlphabetSet < second_projection_letter_t > , std::set < second_projection_letter_t > > | second_projection_t
| The type of the second projection alphabet.

## Static Public Member Functions

static first_projection_t | first_projection (const alphabet_t &)
| The first projection alphabet maker.
static second_projection_t | second_projection (const alphabet_t &)
| The second projection alphabet maker.

## Detailed Description

### template<typename L>
struct vcsn::algebra::alphabet_traits< AlphabetSet< L >, std::set< L > >

Meta information about the mixing of AlphabetSet with std::set.

Definition at line 36 of file alphabet_set.hh.